Libosmium 2.22.0 Fast and flexible C++ library for working with OpenStreetMap data

Loading...
Searching...
No Matches
Classes | Namespaces | Functions
coordinates.hpp File Reference
`#include <osmium/osm/location.hpp>`
`#include <osmium/util/double.hpp>`
`#include <cmath>`
`#include <iosfwd>`
`#include <limits>`
`#include <string>`
Include dependency graph for coordinates.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | osmium::geom::Coordinates

## Namespaces
namespace | osmium
| Namespace for everything in the Osmium library.
namespace | osmium::geom
| Everything related to geometry handling.

## Functions
bool | osmium::geom::operator== (const Coordinates &lhs, const Coordinates &rhs) noexcept
bool | osmium::geom::operator!= (const Coordinates &lhs, const Coordinates &rhs) noexcept
template<typename TChar , typename TTraits >
std::basic_ostream< TChar, TTraits > & | osmium::geom::operator<< (std::basic_ostream< TChar, TTraits > &out, const Coordinates &c)